Runtime Mobile Security - Error: Unable to communicate with remote frida-server

I am having an error trying to communicate with the frida-server from RMS. Frida-server is already running but, when I try to access Runtime Mobile Security I am getting the following error: "Device not connected. Runtime Mobile Security I am here to try again. If You still see this error and the device is correctly connected with frida-server up and running, please kill RSM and start it again. Other possible issues and solutions are described here: Notes and possible issues."

So, when I try to reconnect, I receive the same message on RMS and also an error message on command line: "Error: Unable to communicate with remote frida-server; please ensure that major versions match and that the remote Frida has the feature you are trying to use".

I currently have installed Frida v16.0.0 and it is running by MagiskFrida.

Phone is already connected by USB, frida-server is running. So, I tried everything but no idea what's the problem. May be the version?

Accepted Solution

  • Zyxel_Stanley
    Zyxel_Stanley Posts: 1,366  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    edited October 2022 Answer ✓
    Hi @imranhashmi127
    If the issue resolved after upgrading Frida version, then issue may not caused by firewall.
    Since there are too many resources on server, it may include lot of unsecured data. For security reason do not install untrusated App from non-certified website. :)

All Replies

  • Zyxel_Stanley
    Zyxel_Stanley Posts: 1,366  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer
    edited October 2022 Answer ✓
    Hi @imranhashmi127
    If the issue resolved after upgrading Frida version, then issue may not caused by firewall.
    Since there are too many resources on server, it may include lot of unsecured data. For security reason do not install untrusated App from non-certified website. :)
  • Hi @imranhashmi127
    If the issue resolved after upgrading Frida version, then issue may not caused by firewall.
    Since there are too many resources on server, it may include lot of unsecured data. For security reason do not install untrusated App from non-certified website. :)
    Thanks for suggestion your advice is appreciated many people asked me not to install any app from untrusted source.....

Security Highlight